# Kata: Sing a song (refactoring)

## Objective

Code to produce a popular children's nursary rhyme was produced by a web agency for the customer last year. The customer now desires to produce multiple different versions of the song using the same structure but based on different themes, for example a current popular children's movie featuring a cast of animals. The customer asks that you make the song configurable for different lists of animals. The customer cannot guarentee that there will be the same number of animals in each different version.

No documentation or tests were provided by the previous developer.

Refactor the code to allow for the customer's needs. 
_Remember: refactoring can only be done in the presence of tests that are passing, and after refactoring the tests still pass!_
